GNU bug report logs - #15382
desktop restores buffers in wrong order

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Juri Linkov <juri@HIDDEN>; merged with #23630; dated Sun, 15 Sep 2013 09:29:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 15382 23630. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 15382 <at> debbugs.gnu.org:


Received: (at 15382) by debbugs.gnu.org; 5 Feb 2014 08:13:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 05 03:13:04 2014
Received: from localhost ([127.0.0.1]:50099 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WAxbU-0003DN-HL
	for submit <at> debbugs.gnu.org; Wed, 05 Feb 2014 03:13:04 -0500
Received: from [69.163.184.122] (port=54884 helo=ps18281.dreamhostps.com)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <juri@HIDDEN>) id 1WAxbS-0003DF-Sc
 for 15382 <at> debbugs.gnu.org; Wed, 05 Feb 2014 03:13:03 -0500
Received: from localhost.jurta.org (ps18281.dreamhostps.com [69.163.184.122])
 by ps18281.dreamhostps.com (Postfix) with ESMTP id 992DB301C412BE;
 Wed,  5 Feb 2014 00:13:01 -0800 (PST)
From: Juri Linkov <juri@HIDDEN>
To: Juanma Barranquero <lekktu@HIDDEN>
Subject: Re: bug#15382: desktop restores buffers in wrong order
Organization: JURTA
References: <87y56ypiwv.fsf@HIDDEN> <874n69kdd6.fsf@HIDDEN>
 <CAAeL0SR8agzKfJwTfph8AJQOpU890UPppT+yN_1ZTj4fno1YZA@HIDDEN>
 <87vbyo4icw.fsf@HIDDEN>
 <CAAeL0SSN_WabMYg5ek1yv277q-e3BjfguzSxA45X6im1zELaNw@HIDDEN>
 <87fvprw8q6.fsf@HIDDEN>
 <CAAeL0SQ_GrQhh8ZihaEPFw309nnz61PxUxXZmjz9Kqn3uS05rQ@HIDDEN>
Date: Wed, 05 Feb 2014 10:07:27 +0200
In-Reply-To: <CAAeL0SQ_GrQhh8ZihaEPFw309nnz61PxUxXZmjz9Kqn3uS05rQ@HIDDEN>
 (Juanma Barranquero's message of "Tue, 17 Dec 2013 22:01:09 +0100")
Message-ID: <87zjm6kmo0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  >> Maybe buffers should be saved in the desktop in reverse
 order? >> This will restore the original order of the global buffer list.
 > > You could try it with and without desktop-restore-frames and report back.
 [...] Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.3 RDNS_NONE Delivered to internal network by a host with no rDNS
X-Debbugs-Envelope-To: 15382
Cc: martin rudalics <rudalics@HIDDEN>, 15382 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  >> Maybe buffers should be saved in the desktop in reverse
    order? >> This will restore the original order of the global buffer list.
    > > You could try it with and without desktop-restore-frames and report back.
    [...] 
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  1.3 RDNS_NONE              Delivered to internal network by a host with no rDNS

>> Maybe buffers should be saved in the desktop in reverse order?
>> This will restore the original order of the global buffer list.
>
> You could try it with and without desktop-restore-frames and report back.

I tried to replace

  (dolist (l (mapcar 'desktop-buffer-info (buffer-list)))

with

  (dolist (l (mapcar 'desktop-buffer-info (nreverse (buffer-list))))

but it breaks the desktop saving by inserting the desktop file
to the current buffer.  Then I tried to replace it with

  (dolist (l (nreverse (mapcar 'desktop-buffer-info (buffer-list))))

and it saves the desktop in the natural order that could be replayed back
when restoring the desktop to get the buffer list in the same order.
But more code prevents from restoring in the same order, e.g.

	;; Restore buffer list order with new buffer at end. Don't change
	;; the order for old desktop files (old desktop module behavior).
	(unless (< desktop-file-version 206)
	  (mapc 'bury-buffer buffer-list)
	  (when result (bury-buffer result)))

I'm afraid that changing the order of buffers in the desktop file
might require incrementing the version number in desktop-file-version.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15382; Package emacs. Full text available.

Message received at 15382 <at> debbugs.gnu.org:


Received: (at 15382) by debbugs.gnu.org; 17 Dec 2013 21:01:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 17 16:01:53 2013
Received: from localhost ([127.0.0.1]:56097 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Vt1m4-0006E2-Tj
	for submit <at> debbugs.gnu.org; Tue, 17 Dec 2013 16:01:53 -0500
Received: from mail-ee0-f43.google.com ([74.125.83.43]:62138)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <lekktu@HIDDEN>) id 1Vt1m2-0006Dq-7P
 for 15382 <at> debbugs.gnu.org; Tue, 17 Dec 2013 16:01:50 -0500
Received: by mail-ee0-f43.google.com with SMTP id c13so3138114eek.30
 for <15382 <at> debbugs.gnu.org>; Tue, 17 Dec 2013 13:01:49 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc:content-type;
 bh=O4ygVnFxTdyzhoxND3udTBK8kt5jX4mR+RB+TEthhBI=;
 b=BopdRsgDj8RYcJzRZMkdr3w4qA6icGJWht4uhn/06nO+x5tY38254hQEtzE2MsYxdG
 e1Zbf8RM2o17WZg0YcZNLDHRYLYsMub2VGvi7RZK6nKAcP7yVzDIP4AFuK9DaKUPZi23
 eGi5CF85MI1Mhb+xJNtypdriE8PQu6oz8qa9+8cgo18VP0boysU5fIZ/nJ/e7YY46YPB
 7OBZgTIXk7zU6llODJAm6wkjLzu0z95GzfBSC8p4TZyVaT3fIl5jLC/zIqaRqRwahzfY
 1trCmrsOEmDq6Rab0FJS78eTp+PjVQZDzjqew1aDUeSm9Czw3kWhpgAbmwlqXcbCEATz
 Y+0A==
X-Received: by 10.15.91.3 with SMTP id r3mr25422717eez.18.1387314109088; Tue,
 17 Dec 2013 13:01:49 -0800 (PST)
MIME-Version: 1.0
Received: by 10.14.209.69 with HTTP; Tue, 17 Dec 2013 13:01:09 -0800 (PST)
In-Reply-To: <87fvprw8q6.fsf@HIDDEN>
References: <87y56ypiwv.fsf@HIDDEN> <874n69kdd6.fsf@HIDDEN>
 <CAAeL0SR8agzKfJwTfph8AJQOpU890UPppT+yN_1ZTj4fno1YZA@HIDDEN>
 <87vbyo4icw.fsf@HIDDEN>
 <CAAeL0SSN_WabMYg5ek1yv277q-e3BjfguzSxA45X6im1zELaNw@HIDDEN>
 <87fvprw8q6.fsf@HIDDEN>
From: Juanma Barranquero <lekktu@HIDDEN>
Date: Tue, 17 Dec 2013 22:01:09 +0100
Message-ID: <CAAeL0SQ_GrQhh8ZihaEPFw309nnz61PxUxXZmjz9Kqn3uS05rQ@HIDDEN>
Subject: Re: bug#15382: desktop restores buffers in wrong order
To: Juri Linkov <juri@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 15382
Cc: martin rudalics <rudalics@HIDDEN>, 15382 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Tue, Dec 17, 2013 at 8:58 PM, Juri Linkov <juri@HIDDEN> wrote:

>   (unless (desktop-restoring-frameset-p)
>
> Why buffers should be restored in right order only when
> restoring a single-frame (without restoring a frameset)
> but not when restoring a single-frame from a frameset?

When desktop-restoring-frameset-p is nil you're not really "restoring
a single frame", because nothing about the frame (dimensions,
position, minibufferless state, window tree) is restored. You're
creating a new frame and restoring the buffers. In that case, the
window/buffer correspondence is not maintained so you can do whatever
you want with the buffer list order.

> Maybe buffers should be saved in the desktop in reverse order?
> This will restore the original order of the global buffer list.

You could try it with and without desktop-restore-frames and report back.

> And frame-local and window-local buffer lists needs to be saved too.

IIUC Martin's last comment, that's far from trivial.

    J




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15382; Package emacs. Full text available.

Message received at 15382 <at> debbugs.gnu.org:


Received: (at 15382) by debbugs.gnu.org; 17 Dec 2013 19:59:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 17 14:59:37 2013
Received: from localhost ([127.0.0.1]:56073 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Vt0np-0004U2-AR
	for submit <at> debbugs.gnu.org; Tue, 17 Dec 2013 14:59:37 -0500
Received: from [69.163.184.122] (port=46780 helo=ps18281.dreamhostps.com)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <juri@HIDDEN>) id 1Vt0nn-0004Tr-EF
 for 15382 <at> debbugs.gnu.org; Tue, 17 Dec 2013 14:59:35 -0500
Received: from localhost.jurta.org (ps18281.dreamhostps.com [69.163.184.122])
 by ps18281.dreamhostps.com (Postfix) with ESMTP id B35E736D0A78B8;
 Tue, 17 Dec 2013 11:59:33 -0800 (PST)
From: Juri Linkov <juri@HIDDEN>
To: Juanma Barranquero <lekktu@HIDDEN>
Subject: Re: bug#15382: desktop restores buffers in wrong order
Organization: JURTA
References: <87y56ypiwv.fsf@HIDDEN> <874n69kdd6.fsf@HIDDEN>
 <CAAeL0SR8agzKfJwTfph8AJQOpU890UPppT+yN_1ZTj4fno1YZA@HIDDEN>
 <87vbyo4icw.fsf@HIDDEN>
 <CAAeL0SSN_WabMYg5ek1yv277q-e3BjfguzSxA45X6im1zELaNw@HIDDEN>
Date: Tue, 17 Dec 2013 21:58:09 +0200
In-Reply-To: <CAAeL0SSN_WabMYg5ek1yv277q-e3BjfguzSxA45X6im1zELaNw@HIDDEN>
 (Juanma Barranquero's message of "Tue, 17 Dec 2013 17:07:27 +0100")
Message-ID: <87fvprw8q6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: > I do not see why do you think that it is intended only for
 the > multi-frame case. Restoring framesets is not intended just for >
 multi-frame
 setups, I use it all the time in my single-frame setup. [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.3 RDNS_NONE Delivered to internal network by a host with no rDNS
X-Debbugs-Envelope-To: 15382
Cc: martin rudalics <rudalics@HIDDEN>, 15382 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > I do not see why do you think that it is intended only for
    the > multi-frame case. Restoring framesets is not intended just for > multi-frame
    setups, I use it all the time in my single-frame setup. [...] 
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  1.3 RDNS_NONE              Delivered to internal network by a host with no rDNS

> I do not see why do you think that it is intended only for the
> multi-frame case. Restoring framesets is not intended just for
> multi-frame setups, I use it all the time in my single-frame setup.

I don't understand this condition:

  (unless (desktop-restoring-frameset-p)

Why buffers should be restored in right order only when
restoring a single-frame (without restoring a frameset)
but not when restoring a single-frame from a frameset?
I think restoring the original order is needed in both cases.

> Correctly restoring the frames requires restoring the window-buffer
> correspondence, so if you run the (mapc #'bury-buffer ...) code
> afterwards, you destroy that correspondence. A way would be required
> to reset buffer-list's without affecting how buffers are displayed...

Maybe buffers should be saved in the desktop in reverse order?
This will restore the original order of the global buffer list.

And frame-local and window-local buffer lists needs to be saved too.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15382; Package emacs. Full text available.

Message received at 15382 <at> debbugs.gnu.org:


Received: (at 15382) by debbugs.gnu.org; 17 Dec 2013 17:31:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 17 12:31:58 2013
Received: from localhost ([127.0.0.1]:56000 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VsyUw-0000DE-79
	for submit <at> debbugs.gnu.org; Tue, 17 Dec 2013 12:31:58 -0500
Received: from mout.gmx.net ([212.227.15.19]:61787)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1VsyUu-0000D5-5u
 for 15382 <at> debbugs.gnu.org; Tue, 17 Dec 2013 12:31:56 -0500
Received: from [62.47.50.138] ([62.47.50.138]) by mail.gmx.com (mrgmx102) with
 ESMTPSA (Nemesis) id 0LoKHN-1VHiwE0qmf-00gDnD for
 <15382 <at> debbugs.gnu.org>; Tue, 17 Dec 2013 18:31:55 +0100
Message-ID: <52B08A7E.9070508@HIDDEN>
Date: Tue, 17 Dec 2013 18:31:42 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Juanma Barranquero <lekktu@HIDDEN>
Subject: Re: bug#15382: desktop restores buffers in wrong order
References: <87y56ypiwv.fsf@HIDDEN> <874n69kdd6.fsf@HIDDEN>
 <CAAeL0SR8agzKfJwTfph8AJQOpU890UPppT+yN_1ZTj4fno1YZA@HIDDEN>
 <87vbyo4icw.fsf@HIDDEN>
 <CAAeL0SSN_WabMYg5ek1yv277q-e3BjfguzSxA45X6im1zELaNw@HIDDEN>
In-Reply-To: <CAAeL0SSN_WabMYg5ek1yv277q-e3BjfguzSxA45X6im1zELaNw@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:q5kY8jwOqCNzWqHQ2n2qtk3vjMT2huz7hXZRp0aZnTg+q8bmB9e
 E2X3Mr3lmYDB4E2JeFk5u+aH/eLsy/w+G9Gy6PWgePC979tn0SQEzo11h03pc+MhMvURDrH
 fyFoQkeLkTX7dO3oDLmmVfEwkYcpAU9J1+JVAfQN8UGriBszAgaTdWpUReWz3FLdyZ8JsXI
 OdxVMeqIBnSjlWs5UiFrQ==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 15382
Cc: Juri Linkov <juri@HIDDEN>, 15382 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > Correctly restoring the frames requires restoring the window-buffer
 > correspondence, so if you run the (mapc #'bury-buffer ...) code
 > afterwards, you destroy that correspondence. A way would be required
 > to reset buffer-list's without affecting how buffers are displayed...

We would have to show and bury buffers to get the appropriate order for
frames.  However, with multiple frames this might clobber the order of
the global buffer list.  `set-window-prev-buffers' and
`set-window-next-buffers' should suffice to fix the window buffer lists
afterwards.  In any case, this doesn't sound like a trivial task.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15382; Package emacs. Full text available.

Message received at 15382 <at> debbugs.gnu.org:


Received: (at 15382) by debbugs.gnu.org; 17 Dec 2013 17:31:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 17 12:31:34 2013
Received: from localhost ([127.0.0.1]:55997 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VsyUX-0000CX-KM
	for submit <at> debbugs.gnu.org; Tue, 17 Dec 2013 12:31:33 -0500
Received: from mout.gmx.net ([212.227.15.15]:62782)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1VsyUU-0000CM-6X
 for 15382 <at> debbugs.gnu.org; Tue, 17 Dec 2013 12:31:31 -0500
Received: from [62.47.50.138] ([62.47.50.138]) by mail.gmx.com (mrgmx103) with
 ESMTPSA (Nemesis) id 0MVNWU-1W1KzW3jSQ-00YjQR for
 <15382 <at> debbugs.gnu.org>; Tue, 17 Dec 2013 18:31:29 +0100
Message-ID: <52B08A67.4080501@HIDDEN>
Date: Tue, 17 Dec 2013 18:31:19 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#15382: desktop restores buffers in wrong order
References: <87y56ypiwv.fsf@HIDDEN>
 <874n69kdd6.fsf@HIDDEN>	<CAAeL0SR8agzKfJwTfph8AJQOpU890UPppT+yN_1ZTj4fno1YZA@HIDDEN>
 <87vbyo4icw.fsf@HIDDEN>
In-Reply-To: <87vbyo4icw.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:70AV6lBJwE7E18kdIKbf/fIhSS9fzIYOOqo6CEZZmd7tmu+wLsD
 xZ7FFc4LRmquAR1MS9eUV603ZAD5edGYvmGwKjRAr1uvU7Qll3tgTqpDgXxkgTELaL4OEet
 snAAJfQIRxy69AIORhkSK3TxNEdHOaEKMsppo2wXoXjCAs9Sf+PCY5etBefomV48+wNVWvz
 90tKWAxC59ZRFVlhtN9ew==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 15382
Cc: Juanma Barranquero <lekktu@HIDDEN>, 15382 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > 	(desktop-read): Use desktop-restoring-frames-p.  Do not try to fix
 > 	buffer-lists when restoring frames.  Suggested by Martin Rudalics.
 >
 > Maybe Martin knows the purpose of not fixing buffer-lists in desktop-read?

I forgot.  Probably because we have no interface to set these lists
manually.  Replaying the order in which buffers were displayed looks
quite tedious.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15382; Package emacs. Full text available.

Message received at 15382 <at> debbugs.gnu.org:


Received: (at 15382) by debbugs.gnu.org; 17 Dec 2013 16:08:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 17 11:08:10 2013
Received: from localhost ([127.0.0.1]:55956 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VsxBq-0006I9-D6
	for submit <at> debbugs.gnu.org; Tue, 17 Dec 2013 11:08:10 -0500
Received: from mail-ee0-f53.google.com ([74.125.83.53]:62624)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <lekktu@HIDDEN>) id 1VsxBp-0006I1-0q
 for 15382 <at> debbugs.gnu.org; Tue, 17 Dec 2013 11:08:09 -0500
Received: by mail-ee0-f53.google.com with SMTP id b57so2993052eek.40
 for <15382 <at> debbugs.gnu.org>; Tue, 17 Dec 2013 08:08:08 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc:content-type;
 bh=yalPy0FhmnQwNH/uAeaOkkQSDchxGzJ5lqJXsiRIGJQ=;
 b=OXYAEjAi0fvdB4rG3Ky4MtUGVhC/O1datlYVrPKlxXzyTYcL0MUfFkqOu/BAvA24in
 45dzmWnkbL2WyLgAWQcxYiedeS2tyC/jv8dOaL2E4/2w3ucGzk1KL6xv13qNLR4kMvyU
 VS0v0oXXzXrfgwG15b2YMfjJQli8eHANqQH6c3jVTH81ghuC7LHA/TmNQFcMP4npN0zI
 Wnegp+Mqz/rDy+ByC85CR7VDYeztGO7OBnCl7m1HxUgdPGivPYrvTK0Yd7rCauYfEl3B
 h5vWFWwubh56iV2VCPr9GSESdceewXYvTqfcGCw9uSX1x9zlxGebE7f/P4KLMH9/HNHv
 w1Aw==
X-Received: by 10.15.91.3 with SMTP id r3mr24169862eez.18.1387296488107; Tue,
 17 Dec 2013 08:08:08 -0800 (PST)
MIME-Version: 1.0
Received: by 10.14.209.69 with HTTP; Tue, 17 Dec 2013 08:07:27 -0800 (PST)
In-Reply-To: <87vbyo4icw.fsf@HIDDEN>
References: <87y56ypiwv.fsf@HIDDEN> <874n69kdd6.fsf@HIDDEN>
 <CAAeL0SR8agzKfJwTfph8AJQOpU890UPppT+yN_1ZTj4fno1YZA@HIDDEN>
 <87vbyo4icw.fsf@HIDDEN>
From: Juanma Barranquero <lekktu@HIDDEN>
Date: Tue, 17 Dec 2013 17:07:27 +0100
Message-ID: <CAAeL0SSN_WabMYg5ek1yv277q-e3BjfguzSxA45X6im1zELaNw@HIDDEN>
Subject: Re: bug#15382: desktop restores buffers in wrong order
To: Juri Linkov <juri@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 15382
Cc: martin rudalics <rudalics@HIDDEN>, 15382 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Mon, Dec 16, 2013 at 10:05 PM, Juri Linkov <juri@HIDDEN> wrote:

> Because I see no other explanation.  This was added by your revno:113483
>
> 2013-07-21  Juanma Barranquero  <lekktu@HIDDEN>
>
>         * desktop.el (desktop-saved-frame-states):
>         ...
>         (desktop-read): Use desktop-restoring-frames-p.  Do not try to fix
>         buffer-lists when restoring frames.  Suggested by Martin Rudalics.

I understand why my change is related to not restoring the buffer list
order. I do not see why do you think that it is intended only for the
multi-frame case. Restoring framesets is not intended just for
multi-frame setups, I use it all the time in my single-frame setup.

> Maybe Martin knows the purpose of not fixing buffer-lists in desktop-read?

Correctly restoring the frames requires restoring the window-buffer
correspondence, so if you run the (mapc #'bury-buffer ...) code
afterwards, you destroy that correspondence. A way would be required
to reset buffer-list's without affecting how buffers are displayed...

    J




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15382; Package emacs. Full text available.

Message received at 15382 <at> debbugs.gnu.org:


Received: (at 15382) by debbugs.gnu.org; 16 Dec 2013 21:06:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 16 16:06:22 2013
Received: from localhost ([127.0.0.1]:54525 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VsfMr-0003T7-CQ
	for submit <at> debbugs.gnu.org; Mon, 16 Dec 2013 16:06:21 -0500
Received: from [69.163.184.122] (port=50070 helo=ps18281.dreamhostps.com)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <juri@HIDDEN>) id 1VsfMq-0003Sz-0A
 for 15382 <at> debbugs.gnu.org; Mon, 16 Dec 2013 16:06:20 -0500
Received: from localhost.jurta.org (ps18281.dreamhostps.com [69.163.184.122])
 by ps18281.dreamhostps.com (Postfix) with ESMTP id 7F19F34CB01680;
 Mon, 16 Dec 2013 13:06:18 -0800 (PST)
From: Juri Linkov <juri@HIDDEN>
To: Juanma Barranquero <lekktu@HIDDEN>
Subject: Re: bug#15382: desktop restores buffers in wrong order
Organization: JURTA
References: <87y56ypiwv.fsf@HIDDEN> <874n69kdd6.fsf@HIDDEN>
 <CAAeL0SR8agzKfJwTfph8AJQOpU890UPppT+yN_1ZTj4fno1YZA@HIDDEN>
Date: Mon, 16 Dec 2013 23:05:19 +0200
In-Reply-To: <CAAeL0SR8agzKfJwTfph8AJQOpU890UPppT+yN_1ZTj4fno1YZA@HIDDEN>
 (Juanma Barranquero's message of "Sun, 15 Dec 2013 22:58:00 +0100")
Message-ID: <87vbyo4icw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: >>> (unless (desktop-restoring-frameset-p) > >> It seems
 these
 conditions were intended only for multi-frame case. > > Why do you think
 so? Because I see no other explanation. This was added by your revno:113483
 [...] Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.3 RDNS_NONE Delivered to internal network by a host with no rDNS
X-Debbugs-Envelope-To: 15382
Cc: martin rudalics <rudalics@HIDDEN>, 15382 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  >>> (unless (desktop-restoring-frameset-p) > >> It seems these
    conditions were intended only for multi-frame case. > > Why do you think
   so? Because I see no other explanation. This was added by your revno:113483
    [...] 
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  1.3 RDNS_NONE              Delivered to internal network by a host with no rDNS

>>>             (unless (desktop-restoring-frameset-p)
>
>> It seems these conditions were intended only for multi-frame case.
>
> Why do you think so?

Because I see no other explanation.  This was added by your revno:113483

2013-07-21  Juanma Barranquero  <lekktu@HIDDEN>

	* desktop.el (desktop-saved-frame-states):
        ...
	(desktop-read): Use desktop-restoring-frames-p.  Do not try to fix
	buffer-lists when restoring frames.  Suggested by Martin Rudalics.

Maybe Martin knows the purpose of not fixing buffer-lists in desktop-read?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15382; Package emacs. Full text available.

Message received at 15382 <at> debbugs.gnu.org:


Received: (at 15382) by debbugs.gnu.org; 15 Dec 2013 21:58:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 15 16:58:43 2013
Received: from localhost ([127.0.0.1]:52204 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VsJhz-0002Ur-AV
	for submit <at> debbugs.gnu.org; Sun, 15 Dec 2013 16:58:43 -0500
Received: from mail-ee0-f53.google.com ([74.125.83.53]:48784)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <lekktu@HIDDEN>) id 1VsJhx-0002Uh-BT
 for 15382 <at> debbugs.gnu.org; Sun, 15 Dec 2013 16:58:41 -0500
Received: by mail-ee0-f53.google.com with SMTP id b57so1874732eek.40
 for <15382 <at> debbugs.gnu.org>; Sun, 15 Dec 2013 13:58:40 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc:content-type;
 bh=kpCDQ5Kv7z5T4MGWin0p1eN+Dm35lEwbCNrF7d7ONxw=;
 b=BK8cgfWDFaCw4UHZocJdqFkDoqAdnARkCm0FwPMzZa0ZsLfC3x6kxrqelD9kQ29ShM
 F6ES4v6Y2SvAqK3mtXG7719fr40YI+odQiRTo6c8QXSV3UwmapeD6uSkY5Y5xfWDLs+H
 0FHD7ybUQZBGD1HBPsS3tJ0NefAJbj0ugO106ljvtjwNOW02I+0Ade2pJ1NkL8xWGaIz
 JBRSvC7qyg4uE3Zi4u9F9RCZFhgVaTgUCJ1sKvldMyQT5DJU/Lj2tku31j9AiHCJcl3D
 WbBYfmjskx3hS2S3dexr9dv8FmVkpbsgROzbCQwl/U1Uii9klU/786R5XOpZ1UBjpa13
 ENgw==
X-Received: by 10.14.88.5 with SMTP id z5mr5374832eee.101.1387144720406; Sun,
 15 Dec 2013 13:58:40 -0800 (PST)
MIME-Version: 1.0
Received: by 10.14.209.69 with HTTP; Sun, 15 Dec 2013 13:58:00 -0800 (PST)
In-Reply-To: <874n69kdd6.fsf@HIDDEN>
References: <87y56ypiwv.fsf@HIDDEN> <874n69kdd6.fsf@HIDDEN>
From: Juanma Barranquero <lekktu@HIDDEN>
Date: Sun, 15 Dec 2013 22:58:00 +0100
Message-ID: <CAAeL0SR8agzKfJwTfph8AJQOpU890UPppT+yN_1ZTj4fno1YZA@HIDDEN>
Subject: Re: bug#15382: desktop restores buffers in wrong order
To: Juri Linkov <juri@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 15382
Cc: 15382 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Sun, Dec 15, 2013 at 10:44 PM, Juri Linkov <juri@HIDDEN> wrote:

>>             (unless (desktop-restoring-frameset-p)

> It seems these conditions were intended only for multi-frame case.

Why do you think so?

   J




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15382; Package emacs. Full text available.

Message received at 15382 <at> debbugs.gnu.org:


Received: (at 15382) by debbugs.gnu.org; 15 Dec 2013 21:52:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 15 16:52:24 2013
Received: from localhost ([127.0.0.1]:52185 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VsJbs-0002KP-7e
	for submit <at> debbugs.gnu.org; Sun, 15 Dec 2013 16:52:24 -0500
Received: from ps18281.dreamhost.com ([69.163.218.105]:50891
 helo=ps18281.dreamhostps.com)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <juri@HIDDEN>) id 1VsJbp-0002KG-9o
 for 15382 <at> debbugs.gnu.org; Sun, 15 Dec 2013 16:52:21 -0500
Received: from localhost.jurta.org (ps18281.dreamhostps.com [69.163.218.105])
 by ps18281.dreamhostps.com (Postfix) with ESMTP id AEEFB258B9E936
 for <15382 <at> debbugs.gnu.org>; Sun, 15 Dec 2013 13:52:19 -0800 (PST)
From: Juri Linkov <juri@HIDDEN>
To: 15382 <at> debbugs.gnu.org
Subject: Re: bug#15382: desktop restores buffers in wrong order
Organization: JURTA
References: <87y56ypiwv.fsf@HIDDEN>
Date: Sun, 15 Dec 2013 23:44:12 +0200
In-Reply-To: <87y56ypiwv.fsf@HIDDEN> (Juri Linkov's message of "Sun,
 15 Sep 2013 11:51:12 +0300")
Message-ID: <874n69kdd6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 15382
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

> The wrong order of restored desktop buffers is caused
> by addition of these two conditions in `desktop-read':
>
>             (unless (desktop-restoring-frameset-p)
>
> Removing this condition in two places in `desktop-read'
> restores the right order.
>
> Were these conditions intended to fix some problems?

It seems these conditions were intended only for multi-frame case.
So they should be removed in single-frame case.  Then in multi-frame
case the right thing to do would be to save and restore the frame
parameters `buffer-list' and `buried-buffer-list' for every frame.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15382; Package emacs. Full text available.

Message received at 15382 <at> debbugs.gnu.org:


Received: (at 15382) by debbugs.gnu.org; 17 Sep 2013 06:46:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 17 02:46:04 2013
Received: from localhost ([127.0.0.1]:42727 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VLp2x-0001uv-GO
	for submit <at> debbugs.gnu.org; Tue, 17 Sep 2013 02:46:03 -0400
Received: from mout.gmx.net ([212.227.15.19]:50506)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1VLp2t-0001uH-VL
 for 15382 <at> debbugs.gnu.org; Tue, 17 Sep 2013 02:46:01 -0400
Received: from [62.47.32.106] ([62.47.32.106]) by mail.gmx.com (mrgmx002)
 with ESMTPA (Nemesis) id 0MSMKx-1VVss622h9-00TY4S for
 <15382 <at> debbugs.gnu.org>; Tue, 17 Sep 2013 08:45:53 +0200
Message-ID: <5237FA99.3020103@HIDDEN>
Date: Tue, 17 Sep 2013 08:45:45 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#15382: desktop restores buffers in wrong order
References: <87y56ypiwv.fsf@HIDDEN> <5235DBEA.9020503@HIDDEN>
 <87ob7ssbyh.fsf@HIDDEN>
In-Reply-To: <87ob7ssbyh.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:CWHbnDcYLbmjvrkSwb0O0Gq8pLIXhdTC3uPD+GpCdUU7YJL8u2j
 Xc8SPwQNEQ/OcWRVe02P7EEhMiLrQs8xv/WlOVnq0fiw81j/OONn1W+8WZQvUsqJmQHRuos
 uLyNSCxftrhrjYhSARCgK3RAXNGYXCyD+vqzPqzkEkwvzefwmmRkPKqIgihpyRcF89xn5XJ
 Hhcw5xr3cPBBZzpyiMcnA==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 15382
Cc: 15382 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > A question whether such non-existent buffers should be also
 > saved/restored is a separate question.  Maybe they should,
 > with some empty placeholder buffers if buffer content
 > can't be restored?

That's how it behaved initially using `get-buffer-create' IIRC.  But
then people complained ...

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15382; Package emacs. Full text available.

Message received at 15382 <at> debbugs.gnu.org:


Received: (at 15382) by debbugs.gnu.org; 16 Sep 2013 21:36:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 16 17:36:55 2013
Received: from localhost ([127.0.0.1]:41944 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VLgTW-0003rP-5q
	for submit <at> debbugs.gnu.org; Mon, 16 Sep 2013 17:36:54 -0400
Received: from ps18281.dreamhost.com ([69.163.218.105]:39501
 helo=ps18281.dreamhostps.com)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <juri@HIDDEN>) id 1VLgTU-0003rG-1t
 for 15382 <at> debbugs.gnu.org; Mon, 16 Sep 2013 17:36:52 -0400
Received: from localhost.jurta.org (ps18281.dreamhostps.com [69.163.218.105])
 by ps18281.dreamhostps.com (Postfix) with ESMTP id EF0C0258B9E935;
 Mon, 16 Sep 2013 14:36:49 -0700 (PDT)
From: Juri Linkov <juri@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#15382: desktop restores buffers in wrong order
Organization: JURTA
References: <87y56ypiwv.fsf@HIDDEN> <5235DBEA.9020503@HIDDEN>
Date: Tue, 17 Sep 2013 00:17:42 +0300
In-Reply-To: <5235DBEA.9020503@HIDDEN> (martin rudalics's message of "Sun, 15
 Sep 2013 18:10:18 +0200")
Message-ID: <87ob7ssbyh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 15382
Cc: 15382 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

>> Another bug is that point of the top restored buffer
>> is placed to a wrong position because `desktop-saved-frameset'
>> saves point of one buffer (possibly non-persistent), but
>> after restoring the desktop, `window-state-put' restores that point
>> to another buffer (persistent and restored from the desktop file),
>> thus applying the value of point of one buffer to another buffer.
>
> IIUC this can happen only if a buffer doesn't exist when restoring.  I
> tried to address this issue in revision#114294.  Please have a look.

Thanks, I verified that now it doesn't restore point in wrong buffer
from a non-existent buffer.

A question whether such non-existent buffers should be also
saved/restored is a separate question.  Maybe they should,
with some empty placeholder buffers if buffer content
can't be restored?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15382; Package emacs. Full text available.

Message received at 15382 <at> debbugs.gnu.org:


Received: (at 15382) by debbugs.gnu.org; 15 Sep 2013 16:10:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 15 12:10:35 2013
Received: from localhost ([127.0.0.1]:38804 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VLEuA-00052X-IT
	for submit <at> debbugs.gnu.org; Sun, 15 Sep 2013 12:10:35 -0400
Received: from mout.gmx.net ([212.227.15.19]:63618)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1VLEu6-00052H-Rw
 for 15382 <at> debbugs.gnu.org; Sun, 15 Sep 2013 12:10:32 -0400
Received: from [62.47.38.177] ([62.47.38.177]) by mail.gmx.com (mrgmx101)
 with ESMTPA (Nemesis) id 0MfzEP-1VWyrF2EPV-00NUk0 for
 <15382 <at> debbugs.gnu.org>; Sun, 15 Sep 2013 18:10:24 +0200
Message-ID: <5235DBEA.9020503@HIDDEN>
Date: Sun, 15 Sep 2013 18:10:18 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#15382: desktop restores buffers in wrong order
References: <87y56ypiwv.fsf@HIDDEN>
In-Reply-To: <87y56ypiwv.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:rAcSg4PGdhgFP3RYD/5dB7kgdUalc+Vh7+Qh5EeOnP6z0I1x0WO
 VScK7LXG5YaYy6tx+PBkks4REOcTZsPbdbUD1gSJFSvvuKXbFVMYmMbVhWSFuq8Aw3AbGgi
 caDHtwEDryaHQ/wch4LhGl8uYxH7jWNu18ZtaOTRAFH+SfVZT3n2oWW6GmRZBf9KQOcWKU+
 NVQrLNEAXUfghd/70I3lQ==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 15382
Cc: 15382 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > Another bug is that point of the top restored buffer
 > is placed to a wrong position because `desktop-saved-frameset'
 > saves point of one buffer (possibly non-persistent), but
 > after restoring the desktop, `window-state-put' restores that point
 > to another buffer (persistent and restored from the desktop file),
 > thus applying the value of point of one buffer to another buffer.

IIUC this can happen only if a buffer doesn't exist when restoring.  I
tried to address this issue in revision#114294.  Please have a look.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15382; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Sep 2013 09:28:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 15 05:28:57 2013
Received: from localhost ([127.0.0.1]:38039 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VL8dU-0002Vu-R9
	for submit <at> debbugs.gnu.org; Sun, 15 Sep 2013 05:28:57 -0400
Received: from eggs.gnu.org ([208.118.235.92]:42131)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <juri@HIDDEN>) id 1VL8dR-0002Vg-8c
 for submit <at> debbugs.gnu.org; Sun, 15 Sep 2013 05:28:53 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <juri@HIDDEN>) id 1VL8dD-0005bR-Ff
 for submit <at> debbugs.gnu.org; Sun, 15 Sep 2013 05:28:47 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:45404)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <juri@HIDDEN>) id 1VL8dD-0005bN-Cv
 for submit <at> debbugs.gnu.org; Sun, 15 Sep 2013 05:28:39 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:43835)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <juri@HIDDEN>) id 1VL8d7-0001rA-E7
 for bug-gnu-emacs@HIDDEN; Sun, 15 Sep 2013 05:28:39 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <juri@HIDDEN>) id 1VL8d0-0005aJ-CM
 for bug-gnu-emacs@HIDDEN; Sun, 15 Sep 2013 05:28:33 -0400
Received: from ps18281.dreamhost.com ([69.163.218.105]:38496
 helo=ps18281.dreamhostps.com) by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <juri@HIDDEN>) id 1VL8d0-0005a7-6X
 for bug-gnu-emacs@HIDDEN; Sun, 15 Sep 2013 05:28:26 -0400
Received: from localhost.jurta.org (ps18281.dreamhostps.com [69.163.218.105])
 by ps18281.dreamhostps.com (Postfix) with ESMTP id 1D767258B9E935
 for <bug-gnu-emacs@HIDDEN>; Sun, 15 Sep 2013 02:28:23 -0700 (PDT)
From: Juri Linkov <juri@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: desktop restores buffers in wrong order
Organization: JURTA
Date: Sun, 15 Sep 2013 11:51:12 +0300
Message-ID: <87y56ypiwv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x (no
 timestamps) [generic]
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

The wrong order of restored desktop buffers is caused
by addition of these two conditions in `desktop-read':

            (unless (desktop-restoring-frameset-p)

Removing this condition in two places in `desktop-read'
restores the right order.

Were these conditions intended to fix some problems?

Another bug is that point of the top restored buffer
is placed to a wrong position because `desktop-saved-frameset'
saves point of one buffer (possibly non-persistent), but
after restoring the desktop, `window-state-put' restores that point
to another buffer (persistent and restored from the desktop file),
thus applying the value of point of one buffer to another buffer.




Acknowledgement sent to Juri Linkov <juri@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#15382; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 24 Aug 2016 19:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.